Summary:	Belug Linux Distribution Burner
Name:		beldi
Version:	0.9.25
Release:	2%{?dist}
License:	GPLv3+
Group:		Applications/Internet
URL:		http://belug.de/~beldi/
Source:		http://belug.de/~beldi/releases/%{name}-%{version}.tgz
Requires:	%{_bindir}/cdrecord
BuildRequires:	curl-devel
BuildRequires:	gtkmm24-devel
BuildRequires:	libxml++-devel
BuildRequires:	openssl-devel
BuildRequires:	gtkglextmm-devel
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	hal
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BeLDi, the Belug (Linux) Distribution Burner, is a program designed to burn
distributions. It is designed to require the least administration and knowledge
as possible.

BeLDi has an intuitive graphic user interface where the main screen shows the
available distributions in a list. If the user selects one, he will be asked
which version and architecture he wants to burn. Once the burn procedure starts
a bar shows its progress. All user operations can be completed with the mouse
or a touchscreen.

%prep
%setup -q

%build
%configure --enable-opengl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}

desktop-file-install --vendor="fedora"		\
  --remove-category=Network			\
  --add-category=System				\
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
  icons/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man6/%{name}.6.gz

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.25-1
- Upgrade to 0.9.25
- BuildRequire dbus-glib and hal-devel for USB support

* Wed Mar 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.24-1
- Upgrade to 0.9.24

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.23-1
- Upgrade to 0.9.23
- Add NEWS and new ChangeLog

* Sat Oct 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.22-1
- Upgrade to 0.9.22
- Add locales and BR gettext

* Thu Oct 02 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.21-1
- Upgrade to 0.9.21
- Add new manpage

* Tue Sep 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.20-1
- Upgrade to 0.9.20

* Fri Aug 22 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.18-1
- Upgrade to 0.9.18

* Sun Jul 13 2008 Robert Scheck <robert@fedoraproject.org> - 0.9.16-3
- Changes to match Fedora Packaging Guidelines (#249949 #c16)

* Sun Jul 13 2008 Robert Scheck <robert@fedoraproject.org> - 0.9.16-2
- Merged suggested changes with existing spec (#249949 #c14)

* Sat Jun 28 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.16-1
- Upgrade to 0.9.16

* Mon Jun 23 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.15-1
- Upgrade to 0.9.15

* Mon May 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.13-1
- Upgrade to 0.9.13
- use desktop-file-install

* Sun Dec 16 2007 Robert Scheck <robert@fedoraproject.org> - 0.9.12-1
- Upgrade to 0.9.12

* Wed Sep 19 2007 Robert Scheck <robert@fedoraproject.org> - 0.9-2
- New sources, updated spec file for these
- Updated the license tag according to the guidelines

* Sun Jul 28 2007 Robert Scheck <robert@fedoraproject.org> - 0.9-1
- Upgrade to 0.9
- Initial spec file for Fedora and Red Hat Enterprise Linux
